Bug 194353 - Review Request: gdk-pixbuf
Review Request: gdk-pixbuf
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
: 194354 (view as bug list)
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-06-07 10:21 EDT by Matthias Clasen
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-19 16:15:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2006-06-07 10:21:21 EDT
gdk-pixbuf should move out of Core, together with the rest of the gnome 1 stack
that is already in extras. I have not done any cleanups on the spec file yet,
since I am a little short on time. The spec file thats linked below is the
one that is currently being used in Core.

Spec URL: http://people.redhat.com/review/gdk-pixbuf.spec
SRPM URL: http://people.redhat.com/review/gdk-pixbuf-0.22.0-23.src.rpm
Description: 
The gdk-pixbuf package contains an image loading library used with the
GNOME GUI desktop environment. The GdkPixBuf library provides image
loading facilities, the rendering of a GdkPixBuf into various formats
(drawables or GdkRGB buffers), and a cache interface.
Comment 1 Ville Skyttä 2006-06-07 14:09:06 EDT
*** Bug 194354 has been marked as a duplicate of this bug. ***
Comment 2 Michael J Knox 2006-06-14 15:03:29 EDT
As stated on fedora-extras, I will claim this package for extras. 
Comment 3 Kevin Fenzi 2006-06-16 17:21:07 EDT
Since I need this for xosd, here's a review:

The URL's in comment #1 aren't right, I assume you meant:

http://people.redhat.com/mclasen/review/gdk-pixbuf-0.22.0-24.src.rpm
http://people.redhat.com/mclasen/review/gdk-pixbuf.spec

OK - Package name
OK - Spec file matches base package name.
OK - Meets Packaging Guidelines.
OK - License (LGPL)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
05fcb68ceaa338614ab650c775efc2f2  gdk-pixbuf-0.22.0.tar.bz2
05fcb68ceaa338614ab650c775efc2f2  gdk-pixbuf-0.22.0.tar.bz2.1
OK - Package compiles and builds on at least one arch.
N/A - Package needs ExcludeArch
OK - BuildRequires correct
N/A - Spec handles locales/find_lang
OK - Spec has needed ldconfig in post and postun
N/A - Package is relocatable and has a reason to be.
OK - Package owns all the directories it creates.
OK - Package has no duplicate files in %files.
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Spec has consistant macro usage.
OK - Package is code or permissible content.
N/A - -doc subpackage needed/used.
OK - Packages %doc files don't affect runtime.
OK - Headers/static libs in -devel subpackage.
N/A - .pc files in -devel subpackage.
OK - .so files in -devel subpackage.
OK - -devel package Requires: %{name} = %{version}-%{release}
See Below - .la files are removed.
N/A - Package is a GUI app and has a .desktop file
OK - Package doesn't own any directories other packages own.
See below - No rpmlint output.

Issues:

1. Source: line is wrong, should be:
ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{version}/%{name}-%{version}.tar.bz2

2. URL: line is generic www.gnome.org. Is there a home URL?
Possibly: http://developer.gnome.org/arch/imaging/gdkpixbuf.html ?

3. Should 'build_gnome' be always 0 on fedora? Perhaps remove the conditional
entirely. (since this is gnome1, right?)

4. Perhaps remove the old AS21 automake cruft conditionals?

5. .la files should be removed always, should just remove the flags controlling
that. 

6. Is there any need for the .a static libs?

7. rpmlint output:

W: gdk-pixbuf buildprereq-use gnome-libs-devel
W: gdk-pixbuf buildprereq-use audiofile
W: gdk-pixbuf buildprereq-use /usr/bin/automake-1.4

buildprereq-use :
The use of BuildPreReq is deprecated, build dependencies are always required
before a package can be built.  Use plain BuildRequires instead.

E: gdk-pixbuf broken-syntax-in-scriptlet-requires BuildPrereq: gnome-libs-devel
E: gdk-pixbuf broken-syntax-in-scriptlet-requires BuildPrereq: audiofile
E: gdk-pixbuf broken-syntax-in-scriptlet-requires BuildPrereq: /usr/bin/automake-1.4

broken-syntax-in-scriptlet-requires :
Requires(pre,post) is accepted by rpm but leads to strange behaviour.
You should use Requires(pre) and Requires(post) instead.

W: gdk-pixbuf-devel no-documentation

That one can be ignored, but the others should be fixed. 
Comment 4 Michael J Knox 2006-06-17 18:04:21 EDT
Thanks for the review. Would you do imlib as well? Its a depend of gdk-pixbuf

1 - done
2 - done
3 - done
4 - done
5 - done
6 - I don't know. Is there any harm in them being there? 
7 - fixed

New srpm and spec:

Spec URL: http://www.knox.net.nz/~michael/gdk-pixbuf.spec
SRPM URL: http://www.knox.net.nz/~michael/gdk-pixbuf-0.22.0-25.src.rpm 
Comment 5 Kevin Fenzi 2006-06-19 15:47:29 EDT
Sure, I can take a look at imlib later today. 

Re static libs, see: 
http://fedoraproject.org/wiki/Packaging/Guidelines?#head-2302ec1e1f44202c9cc4bcce24cb711266557ad7

If some app static links to this package and there is a security update
it will be vulnerable until it's rebuilt against the updated package. 

I would say to exclude them unless you know of a specific need for them. 
If there is a specific need, you might add a note on it to the spec file. 

For rpmlint now we have: 

can be ignored: 

W: gdk-pixbuf-devel no-documentation
W: gdk-pixbuf-gnome no-documentation

might remove the trailing . on the -gnome subpackage summary?

W: gdk-pixbuf-gnome summary-ended-with-dot GnomeCanvas support for displaying
images.

might remove the Patch4 and Patch9 now that they are not used?

W: gdk-pixbuf patch-not-applied Patch4: gdk-pixbuf-0.22.0-libtool15.patch
W: gdk-pixbuf patch-not-applied Patch9: gdk-pixbuf-0.22.0-nognome.patch

All those are minor issues and not blockers, so this package is APPROVED. 
Don't forget to close this bug as NEXTRELEASE once the package is imported and
built.
Comment 6 Michael J Knox 2006-06-19 16:15:36 EDT
Fixed up the minor issues you stated, including the .a files. Package has been
imported. 

Thanks for the review!

Note You need to log in before you can comment on or make changes to this bug.